//
//  UITextView+Extensions.swift
//  MiniScanner
//
//  Created by George Makhoul on 09/06/2024.
//  Copyright © 2024 AppsNectar. All rights reserved.
//
import UIKit

extension UITextView {
    func height() -> CGFloat {
        if text.isEmpty {
            return 0
        }
        
        let textView = UITextView(frame: CGRect(x: 0, y: 0, width: frame.width, height: .greatestFiniteMagnitude))
        textView.isHidden = true
        textView.isEditable = false
        textView.isSelectable = false
        textView.isScrollEnabled = false
        textView.textContainerInset = .zero
        textView.textContainer.lineFragmentPadding = 0
        textView.text = text
        textView.font = font
        textView.sizeToFit()
        
        return textView.contentSize.height
    }
}
