//
//  DocumentsTableViewCell.swift
//  MiniScanner
//
//  Created by George Makhoul on 08/06/2024.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import UIKit

final class DocumentsTableViewCell: UITableViewCell {
    
    @IBOutlet private weak var thumbnailImageView: UIImageView!
    @IBOutlet private weak var containerImageView: UIView!
    @IBOutlet private weak var nameLabel: UILabel!
    @IBOutlet private weak var dateLabel: UILabel!
    
    override func awakeFromNib() {
        super.awakeFromNib()
        // Initialization code
        selectionStyle = .none
        containerImageView.layer.cornerRadius = 10
        containerImageView.backgroundColor = .cellBackground
    }
    
    func configure(with viewModel: File, image: UIImage?) {
        nameLabel.set(text: viewModel.displayName, color: .mainText, font: .medium(16))
        let description = "\(viewModel.date.description) | \(viewModel.pagesCount)"
        dateLabel.set(text: description, color: .titlesText, font: .regular(16))
    }
}
 

