//
//  PagerImageCollectionViewCell.swift
//  MiniScanner
//
//  Created by George Makhoul on 11/06/2024.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import UIKit
import FSPagerView
class PagerImageCollectionViewCell: UICollectionViewCell {
    // MARK: - Outlets
    @IBOutlet weak var cellImageView: UIImageView!
    
    // MARK: - Properties
    var page: ScannedItem? {
        didSet {
            guard let cellImageView = cellImageView else { return }
            cellImageView.image = page?.renderedImage?.retrieveImage()
            cellImageView.contentMode = .scaleToFill
            cellImageView.autoresizingMask = [.flexibleWidth, .flexibleHeight, .flexibleBottomMargin, .flexibleRightMargin, .flexibleLeftMargin, .flexibleTopMargin]
        }
    }
    
    // MARK: - LifeCycle
    override func awakeFromNib() {
        super.awakeFromNib()
    }
}
